import re

flags = '''
  /pn : Product Name
  /pjn : Project Name
  /pn2 : Project Name (same as /pjn)
  /mt : MTM number
  /sn : Serial Number1
  /ln : Lenovo SN
  /uu : UUID
  /bt : Brand Type
  /kd : Keyboard ID
  /el : EPA ID
  /fl : Function flag
  /cd : Customer
  /fd : Family Name
  /at : Asset Tag
  /sku : Sku Number
  /msdm : OA3 MSDM data
  /slic : OA2 SLIC data
  /osp : OS PN number
  /oss : OS descriptor
  /cf : The 64bit configuration variable
  /mfg : For MFG internal use
  /oa3keyid : OA3 key ID
  /mfgmode : Y indicate in the MFG Mode
  /comp : A hex 1 to hide Computrace string
  /odmpjn : LCFC project name'''

prefix = '''
rem Entering current drive
%~d0
rem Entering current directory
cd %~dp0

'''

items = re.findall(r'/(.+?) : ', flags)
fb = open('_backup.cmd', 'w', encoding='utf-8')
fr = open('_restore.cmd', 'w', encoding='utf-8')
fb.write(prefix)
fr.write(prefix)

for i in items:
	fb.write(f'del _var_{i}.bin\n')

fb.write('del _backup_log.txt\nrmdir ..\LVAR_backup\nmkdir ..\LVAR_backup\n')
fr.write('del _restore_log.txt\n')

for i in items:
	fb.write(f'echo "LVAR64\LvarWin64V229 /r /{i}" /f _var_{i}.bin >> _backup_log.txt\n')
	fb.write(f'..\LVAR64\LvarWin64V229 /r /{i} /f ..\LVAR_backup\_var_{i}.bin >> _backup_log.txt\n')
	fb.write('echo.>> _backup_log.txt\n')
	fb.write('echo.>> _backup_log.txt\n')

	fr.write(f'echo "LVAR64\LvarWin64V229 /w /{i}" /f _var_{i}.bin >> _restore_log.txt\n')
	fr.write(f'..\LVAR64\LvarWin64V229 /w /{i} /f ..\LVAR_backup\_var_{i}.bin >> _restore_log.txt\n')
	fr.write('echo.>> _restore_log.txt\n')
	fr.write('echo.>> _restore_log.txt\n')


fb.write('_backup_log.txt\n')
fr.write('_restore_log.txt\n')
